📢

Thông báo hệ thống

Hệ thống VietQR nạp tự động hoạt động 24/7.
Quản trị

Tài liệu API public

Endpoint, xác thực và rate limit

API hỗ trợ chuẩn SMM Panel API v2 qua single endpoint form-encoded và thêm REST endpoint cho reseller/user tích hợp trực tiếp.

Chưa cấu hình URL website, API URL có thể chưa đúng domain production.

Single endpoint dùng tham số key. REST endpoint nhận key query, header X-API-Key, hoặc Authorization: Bearer .... Rate limit: requests/phút/API key. Lỗi chuẩn trả về {"error":"...","error_code":"..."}.

Actions SMM API v2
ActionTham sốResponseMô tả
serviceskeyArray servicesDanh sách dịch vụ active và không hidden.
addkey, service, link, quantity{"order":123}Tạo đơn, trừ ví, gửi provider theo flow hiện có.
statuskey, order hoặc orders=1,2Status objectChỉ trả đơn thuộc user của API key.
balancekey{"balance":"...","currency":"VND"}Số dư ví.
cancelkey, orders=1,2Array resultHủy đơn nếu service/provider hỗ trợ.
refillkey, order{"refill":123}Gửi yêu cầu bảo hành.
refill_statuskey, refill{"status":"..."}Trạng thái refill.
REST endpoints
MethodPathAuthMô tả
GET/api/v2/serviceskey/headerDanh sách dịch vụ
POST/api/v2/ordersbody key/headerTạo đơn JSON body
GET/api/v2/orders/{order_id}key/headerTrạng thái đơn
GET/api/v2/balancekey/headerSố dư
Ví dụ curl
curl -X POST "" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=123" \
  -d "link=https://example.com/post" \
  -d "quantity=1000"

curl "/balance" -H "X-API-Key: YOUR_API_KEY"
Error codes

invalid_key, disabled_account, rate_limited, incorrect_action, incorrect_service, incorrect_quantity, incorrect_order, validation_error, insufficient_balance, provider_error.

Request log gần đây
Thời gianUser IDActionStatusErrorIP
Chưa có API request.